Index: src/y.tab.c
===================================================================
--- src/y.tab.c	(.../1.0.1)	(revision 183)
+++ src/y.tab.c	(.../1.0.2)	(revision 183)
@@ -4182,125 +5384,139 @@
     else
       ClearConfEncrypted(yy_aconf);
   }
-}
-break;
-case 314:
-#line 2049 "ircd_parser.y"
-{
-}
-break;
-case 318:
+;}
+    break;
+
+  case 316:
 #line 2053 "ircd_parser.y"
-{ not_atom = 1; }
-break;
-case 320:
-#line 2054 "ircd_parser.y"
-{ not_atom = 0; }
-break;
-case 322:
+    {
+;}
+    break;
+
+  case 320:
 #line 2057 "ircd_parser.y"
-{
+    { not_atom = 1; ;}
+    break;
+
+  case 322:
+#line 2058 "ircd_parser.y"
+    { not_atom = 0; ;}
+    break;
+
+  case 324:
+#line 2061 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_SPOOF_NOTICE;
     else yy_aconf->flags |= CONF_FLAGS_SPOOF_NOTICE;
   }
 
-}
-break;
-case 323:
-#line 2065 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 325:
+#line 2069 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_NOLIMIT;
     else yy_aconf->flags |= CONF_FLAGS_NOLIMIT;
   }
-}
-break;
-case 324:
-#line 2072 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 326:
+#line 2076 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_EXEMPTKLINE;
     else yy_aconf->flags |= CONF_FLAGS_EXEMPTKLINE;
   } 
-}
-break;
-case 325:
-#line 2079 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 327:
+#line 2083 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_NEED_IDENTD;
     else yy_aconf->flags |= CONF_FLAGS_NEED_IDENTD;
   }
-}
-break;
-case 326:
-#line 2086 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 328:
+#line 2090 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_CAN_FLOOD;
     else yy_aconf->flags |= CONF_FLAGS_CAN_FLOOD;
   }
-}
-break;
-case 327:
-#line 2093 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 329:
+#line 2097 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_IDLE_LINED;
     else yy_aconf->flags |= CONF_FLAGS_IDLE_LINED;
   }
-}
-break;
-case 328:
-#line 2100 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 330:
+#line 2104 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_NO_TILDE;
     else yy_aconf->flags |= CONF_FLAGS_NO_TILDE;
   } 
-}
-break;
-case 329:
-#line 2107 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 331:
+#line 2111 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_EXEMPTGLINE;
     else yy_aconf->flags |= CONF_FLAGS_EXEMPTGLINE;
   } 
-}
-break;
-case 330:
-#line 2114 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 332:
+#line 2118 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_EXEMPTRESV;
     else yy_aconf->flags |= CONF_FLAGS_EXEMPTRESV;
   }
-}
-break;
-case 331:
-#line 2121 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 333:
+#line 2125 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->flags &= ~CONF_FLAGS_NEED_PASSWORD;
     else yy_aconf->flags |= CONF_FLAGS_NEED_PASSWORD;
   }
-}
-break;
-case 332:
-#line 2130 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 334:
+#line 2134 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -4308,11 +5524,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_EXEMPTKLINE;
   }
-}
-break;
-case 333:
-#line 2141 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 335:
+#line 2145 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -4320,11 +5537,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_NEED_IDENTD;
   }
-}
-break;
-case 334:
-#line 2152 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 336:
+#line 2156 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -4332,11 +5550,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_NOLIMIT;
   }
-}
-break;
-case 335:
-#line 2163 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 337:
+#line 2167 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -4344,11 +5563,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_CAN_FLOOD;
   }
-}
-break;
-case 336:
-#line 2174 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 338:
+#line 2178 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -4356,11 +5576,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_NO_TILDE;
   }
-}
-break;
-case 337:
-#line 2185 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 339:
+#line 2189 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -4368,11 +5589,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_EXEMPTGLINE;
   }
-}
-break;
-case 338:
-#line 2197 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 340:
+#line 2201 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(yy_conf->name);
@@ -4388,32 +5610,35 @@
       yy_conf->name = NULL;
     }
   }
-}
-break;
-case 339:
-#line 2216 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 341:
+#line 2220 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_aconf->flags |= CONF_FLAGS_REDIR;
     MyFree(yy_conf->name);
     DupString(yy_conf->name, yylval.string);
   }
-}
-break;
-case 340:
-#line 2226 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 342:
+#line 2230 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_aconf->flags |= CONF_FLAGS_REDIR;
-    yy_aconf->port = yyvsp[-1].number;
+    yy_aconf->port = (yyvsp[(3) - (4)].number);
   }
-}
-break;
-case 341:
-#line 2235 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 343:
+#line 2239 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -4421,41 +5646,45 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_NEED_PASSWORD;
   }
-}
-break;
-case 342:
-#line 2250 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 344:
+#line 2254 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(resv_reason);
     resv_reason = NULL;
   }
-}
-break;
-case 343:
-#line 2257 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 345:
+#line 2261 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(resv_reason);
     resv_reason = NULL;
   }
-}
-break;
-case 350:
-#line 2269 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 352:
+#line 2273 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(resv_reason);
     DupString(resv_reason, yylval.string);
   }
-}
-break;
-case 351:
-#line 2278 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 353:
+#line 2282 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (IsChanPrefix(*yylval.string))
@@ -4467,52 +5696,57 @@
   }
   /* ignore it for now.. but we really should make a warning if
    * its an erroneous name --fl_ */
-}
-break;
-case 352:
-#line 2293 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 354:
+#line 2297 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     char def_reason[] = "No reason";
 
     create_nick_resv(yylval.string, resv_reason != NULL ? resv_reason : def_reason, 1);
   }
-}
-break;
-case 353:
-#line 2306 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 355:
+#line 2310 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_conf = make_conf_item(ULINE_TYPE);
     yy_match_item = map_to_conf(yy_conf);
     yy_match_item->action = SHARED_ALL;
   }
-}
-break;
-case 354:
-#line 2314 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 356:
+#line 2318 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_conf = NULL;
   }
-}
-break;
-case 361:
-#line 2325 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 363:
+#line 2329 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(yy_conf->name);
     DupString(yy_conf->name, yylval.string);
   }
-}
-break;
-case 362:
-#line 2334 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 364:
+#line 2338 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct split_nuh_item nuh;
@@ -4531,214 +5765,243 @@
     DupString(yy_match_item->user, userbuf);
     DupString(yy_match_item->host, hostbuf);
   }
-}
-break;
-case 363:
-#line 2356 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 365:
+#line 2360 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action = 0;
-}
-break;
-case 367:
-#line 2363 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 369:
+#line 2367 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_KLINE;
-}
-break;
-case 368:
-#line 2367 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 370:
+#line 2371 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_TKLINE;
-}
-break;
-case 369:
-#line 2371 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 371:
+#line 2375 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_UNKLINE;
-}
-break;
-case 370:
-#line 2375 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 372:
+#line 2379 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_XLINE;
-}
-break;
-case 371:
-#line 2379 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 373:
+#line 2383 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_TXLINE;
-}
-break;
-case 372:
-#line 2383 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 374:
+#line 2387 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_UNXLINE;
-}
-break;
-case 373:
-#line 2387 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 375:
+#line 2391 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_RESV;
-}
-break;
-case 374:
-#line 2391 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 376:
+#line 2395 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_TRESV;
-}
-break;
-case 375:
-#line 2395 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 377:
+#line 2399 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_UNRESV;
-}
-break;
-case 376:
-#line 2399 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 378:
+#line 2403 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_LOCOPS;
-}
-break;
-case 377:
-#line 2403 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 379:
+#line 2407 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action |= SHARED_USERMODE;
-}
-break;
-case 378:
-#line 2407 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 380:
+#line 2411 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_match_item->action = SHARED_ALL;
-}
-break;
-case 379:
-#line 2416 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 381:
+#line 2420 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_conf = make_conf_item(CLUSTER_TYPE);
     yy_conf->flags = SHARED_ALL;
   }
-}
-break;
-case 380:
-#line 2423 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 382:
+#line 2427 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yy_conf->name == NULL)
       DupString(yy_conf->name, "*");
     yy_conf = NULL;
   }
-}
-break;
-case 386:
-#line 2436 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 388:
+#line 2440 "ircd_parser.y"
+    {
   if (ypass == 2)
     DupString(yy_conf->name, yylval.string);
-}
-break;
-case 387:
-#line 2442 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 389:
+#line 2446 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags = 0;
-}
-break;
-case 391:
-#line 2449 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 393:
+#line 2453 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_KLINE;
-}
-break;
-case 392:
-#line 2453 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 394:
+#line 2457 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_TKLINE;
-}
-break;
-case 393:
-#line 2457 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 395:
+#line 2461 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_UNKLINE;
-}
-break;
-case 394:
-#line 2461 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 396:
+#line 2465 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_XLINE;
-}
-break;
-case 395:
-#line 2465 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 397:
+#line 2469 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_TXLINE;
-}
-break;
-case 396:
-#line 2469 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 398:
+#line 2473 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_UNXLINE;
-}
-break;
-case 397:
-#line 2473 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 399:
+#line 2477 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_RESV;
-}
-break;
-case 398:
-#line 2477 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 400:
+#line 2481 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_TRESV;
-}
-break;
-case 399:
-#line 2481 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 401:
+#line 2485 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_UNRESV;
-}
-break;
-case 400:
-#line 2485 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 402:
+#line 2489 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags |= SHARED_LOCOPS;
-}
-break;
-case 401:
-#line 2489 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 403:
+#line 2493 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_conf->flags = SHARED_ALL;
-}
-break;
-case 402:
-#line 2498 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 404:
+#line 2502 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_conf = make_conf_item(SERVER_TYPE);
@@ -4755,11 +6018,12 @@
     MyFree(class_name);
     class_name = NULL;
   }
-}
-break;
-case 403:
-#line 2516 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 405:
+#line 2520 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct CollectItem *yy_hconf=NULL;
@@ -4884,11 +6148,12 @@
       yy_conf = NULL;
       yy_aconf = NULL;
   }
-}
-break;
-case 428:
-#line 2655 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 430:
+#line 2659 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yy_conf->name != NULL)
@@ -4897,11 +6162,12 @@
     MyFree(yy_conf->name);
     DupString(yy_conf->name, yylval.string);
   }
-}
-break;
-case 429:
-#line 2667 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 431:
+#line 2671 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yy_conf->name != NULL)
@@ -4910,21 +6176,23 @@
     MyFree(yy_conf->name);
     DupString(yy_conf->name, yylval.string);
   }
-}
-break;
-case 430:
-#line 2679 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 432:
+#line 2683 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(yy_aconf->host);
     DupString(yy_aconf->host, yylval.string);
   }
-}
-break;
-case 431:
-#line 2688 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 433:
+#line 2692 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct addrinfo hints, *res;
@@ -4947,16 +6215,17 @@
       irc_freeaddrinfo(res);
     }
   }
-}
-break;
-case 432:
-#line 2714 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 434:
+#line 2718 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
-    if (yyvsp[-1].string[0] == ':')
+    if ((yyvsp[(3) - (4)].string)[0] == ':')
       yyerror("Server passwords cannot begin with a colon");
-    else if (strchr(yyvsp[-1].string, ' ') != NULL)
+    else if (strchr((yyvsp[(3) - (4)].string), ' ') != NULL)
       yyerror("Server passwords cannot contain spaces");
     else {
       if (yy_aconf->spasswd != NULL)
@@ -4966,16 +6235,17 @@
       DupString(yy_aconf->spasswd, yylval.string);
     }
   }
-}
-break;
-case 433:
-#line 2732 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 435:
+#line 2736 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
-    if (yyvsp[-1].string[0] == ':')
+    if ((yyvsp[(3) - (4)].string)[0] == ':')
       yyerror("Server passwords cannot begin with a colon");
-    else if (strchr(yyvsp[-1].string, ' ') != NULL)
+    else if (strchr((yyvsp[(3) - (4)].string), ' ') != NULL)
       yyerror("Server passwords cannot contain spaces");
     else {
       if (yy_aconf->passwd != NULL)
@@ -4985,67 +6255,76 @@
       DupString(yy_aconf->passwd, yylval.string);
     }
   }
-}
-break;
-case 434:
-#line 2750 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 436:
+#line 2754 "ircd_parser.y"
+    {
   if (ypass == 2)
-    yy_aconf->port = yyvsp[-1].number;
-}
-break;
-case 435:
-#line 2756 "ircd_parser.y"
-{
+    yy_aconf->port = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 437:
+#line 2760 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_aconf->aftype = AF_INET;
-}
-break;
-case 436:
-#line 2760 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 438:
+#line 2764 "ircd_parser.y"
+    {
 #ifdef IPV6
   if (ypass == 2)
     yy_aconf->aftype = AF_INET6;
 #endif
-}
-break;
-case 437:
-#line 2768 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 439:
+#line 2772 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(yy_aconf->fakename);
     DupString(yy_aconf->fakename, yylval.string);
   }
-}
-break;
-case 438:
-#line 2777 "ircd_parser.y"
-{
-}
-break;
-case 442:
+;}
+    break;
+
+  case 440:
 #line 2781 "ircd_parser.y"
-{ not_atom = 1; }
-break;
-case 444:
-#line 2782 "ircd_parser.y"
-{ not_atom = 0; }
-break;
-case 446:
+    {
+;}
+    break;
+
+  case 444:
 #line 2785 "ircd_parser.y"
-{
+    { not_atom = 1; ;}
+    break;
+
+  case 446:
+#line 2786 "ircd_parser.y"
+    { not_atom = 0; ;}
+    break;
+
+  case 448:
+#line 2789 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom)ClearConfLazyLink(yy_aconf);
     else SetConfLazyLink(yy_aconf);
   }
-}
-break;
-case 447:
-#line 2792 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 449:
+#line 2796 "ircd_parser.y"
+    {
   if (ypass == 2)
 #ifndef HAVE_LIBZ
     yyerror("Ignoring flags = compressed; -- no zlib support");
@@ -5055,51 +6334,56 @@
    else SetConfCompressed(yy_aconf);
  }
 #endif
-}
-break;
-case 448:
-#line 2803 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 450:
+#line 2807 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom)ClearConfCryptLink(yy_aconf);
     else SetConfCryptLink(yy_aconf);
   }
-}
-break;
-case 449:
-#line 2810 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 451:
+#line 2814 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom)ClearConfAllowAutoConn(yy_aconf);
     else SetConfAllowAutoConn(yy_aconf);
   }
-}
-break;
-case 450:
-#line 2817 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 452:
+#line 2821 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom)ClearConfAwayBurst(yy_aconf);
     else SetConfAwayBurst(yy_aconf);
   }
-}
-break;
-case 451:
-#line 2824 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 453:
+#line 2828 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom)ClearConfTopicBurst(yy_aconf);
     else SetConfTopicBurst(yy_aconf);
   }
-}
-break;
-case 452:
-#line 2834 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 454:
+#line 2838 "ircd_parser.y"
+    {
 #ifdef HAVE_LIBCRYPTO
   if (ypass == 2)
   {
@@ -5137,11 +6421,12 @@
     BIO_free(file);
   }
 #endif /* HAVE_LIBCRYPTO */
-}
-break;
-case 453:
-#line 2875 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 455:
+#line 2879 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -5149,11 +6434,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_ENCRYPTED;
   }
-}
-break;
-case 454:
-#line 2886 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 456:
+#line 2890 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -5161,11 +6447,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_CRYPTLINK;
   }
-}
-break;
-case 455:
-#line 2897 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 457:
+#line 2901 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -5177,11 +6464,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_COMPRESSED;
   }
-}
-break;
-case 456:
-#line 2912 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 458:
+#line 2916 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -5189,11 +6477,12 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_ALLOW_AUTO_CONN;
   }
-}
-break;
-case 457:
-#line 2923 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 459:
+#line 2927 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -5201,11 +6490,12 @@
     else
       ClearConfTopicBurst(yy_aconf);
   }
-}
-break;
-case 458:
-#line 2934 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 460:
+#line 2938 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct CollectItem *yy_tmp;
@@ -5215,11 +6505,12 @@
     DupString(yy_tmp->user, "*");
     dlinkAdd(yy_tmp, &yy_tmp->node, &hub_conf_list);
   }
-}
-break;
-case 459:
-#line 2947 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 461:
+#line 2951 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct CollectItem *yy_tmp;
@@ -5229,21 +6520,23 @@
     DupString(yy_tmp->user, "*");
     dlinkAdd(yy_tmp, &yy_tmp->node, &leaf_conf_list);
   }
-}
-break;
-case 460:
-#line 2960 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 462:
+#line 2964 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(class_name);
     DupString(class_name, yylval.string);
   }
-}
-break;
-case 461:
-#line 2969 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 463:
+#line 2973 "ircd_parser.y"
+    {
 #ifdef HAVE_LIBCRYPTO
   if (ypass == 2)
   {
@@ -5272,21 +6565,23 @@
   if (ypass == 2)
     yyerror("Ignoring cipher_preference -- no OpenSSL support");
 #endif
-}
-break;
-case 462:
-#line 3004 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 464:
+#line 3008 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     userbuf[0] = hostbuf[0] = reasonbuf[0] = '\0';
     regex_ban = 0;
   }
-}
-break;
-case 463:
-#line 3011 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 465:
+#line 3015 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (userbuf[0] && hostbuf[0])
@@ -5340,23 +6635,26 @@
     yy_conf = NULL;
     yy_aconf = NULL;
   }
-}
-break;
-case 464:
-#line 3068 "ircd_parser.y"
-{
-}
-break;
-case 468:
-#line 3073 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 466:
+#line 3072 "ircd_parser.y"
+    {
+;}
+    break;
+
+  case 470:
+#line 3077 "ircd_parser.y"
+    {
   if (ypass == 2)
     regex_ban = 1;
-}
-break;
-case 475:
-#line 3082 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 477:
+#line 3086 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct split_nuh_item nuh;
@@ -5372,18 +6670,20 @@
 
     split_nuh(&nuh);
   }
-}
-break;
-case 476:
-#line 3101 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 478:
+#line 3105 "ircd_parser.y"
+    {
   if (ypass == 2)
     strlcpy(reasonbuf, yylval.string, sizeof(reasonbuf));
-}
-break;
-case 477:
-#line 3110 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 479:
+#line 3114 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_conf = make_conf_item(DLINE_TYPE);
@@ -5391,11 +6691,12 @@
     /* default reason */
     DupString(yy_aconf->reason, "No reason");
   }
-}
-break;
-case 478:
-#line 3119 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 480:
+#line 3123 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yy_aconf->host && parse_netmask(yy_aconf->host, NULL, NULL) != HM_HOST)
@@ -5405,31 +6706,34 @@
     yy_conf = NULL;
     yy_aconf = NULL;
   }
-}
-break;
-case 484:
-#line 3135 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 486:
+#line 3139 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(yy_aconf->host);
     DupString(yy_aconf->host, yylval.string);
   }
-}
-break;
-case 485:
-#line 3144 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 487:
+#line 3148 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(yy_aconf->reason);
     DupString(yy_aconf->reason, yylval.string);
   }
-}
-break;
-case 491:
-#line 3161 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 493:
+#line 3165 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.string[0] && parse_netmask(yylval.string, NULL, NULL) != HM_HOST)
@@ -5444,21 +6748,23 @@
       yy_aconf = NULL;
     }
   }
-}
-break;
-case 492:
-#line 3182 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 494:
+#line 3186 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     regex_ban = 0;
     reasonbuf[0] = gecos_name[0] = '\0';
   }
-}
-break;
-case 493:
-#line 3189 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 495:
+#line 3193 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (gecos_name[0])
